Download it now!
Bug 121592 - Form Controls present in Tabbed UI, Draw tab appears or focus changes wrongly to Home tab
Summary: Form Controls present in Tabbed UI, Draw tab appears or focus changes wrongly...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.0.beta1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.2.0.1
Keywords:
Depends on:
Blocks: Notebookbar-Tabbed
  Show dependency treegraph
 
Reported: 2018-11-21 14:37 UTC by Pedro
Modified: 2018-12-18 07:25 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Draw Tab should not appear when inserting Form Controls (109.93 KB, image/jpeg)
2018-11-21 14:37 UTC, Pedro
Details
Focus on Writer wrongly changes to Home tab. Should remain on Tools tab (57.94 KB, image/jpeg)
2018-11-21 14:38 UTC, Pedro
Details
Impress remains in tools tab after adding a form Control but Home tab is not grayed out. (506.24 KB, image/png)
2018-11-21 14:40 UTC, Pedro
Details
The Home still shows as active when Form Control is selected when it should not (105.37 KB, image/jpeg)
2018-11-21 14:42 UTC, Pedro
Details
The Highlighted icons should have text legend for an user to quickly ID what each formating control does (240.47 KB, image/png)
2018-11-21 14:56 UTC, Pedro
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro 2018-11-21 14:37:21 UTC
Created attachment 146875 [details]
Draw Tab should not appear when inserting Form Controls

When inserting Form Controls that are present in Tools tab in Writer, Calc and Impress, either a Draw tab appears after inserting them (in Calc case), or the focus changes back to the Home tab.

However, the commands to format the Form controls are to the right of the Form controls. These commands should be highlighted after introducing a Form Control.
This Youtube video highlights what the different Form Controls do and how the right-most commands are used to format the Form Controls:
https://www.youtube.com/watch?v=fC1g7tT997w

Proposal:

1 - After inserting a Form Control, do not move focus from Tools Tab. Commands used to format the Form Controls are in Tools Tab.

2 - Do not show a Draw tab in Calc when inserting a Form Control - this is confusing since it is unrelated to Form Controls,

3 - Show text legends for Form Control editing commands (the right-most commands highlighted in Image 2) to make it easier for users to know what each command does.

The Form Control formatting commands that require text legends are:
Control Properties,
Form Properties,
Activation Order,
Form Navigator,
Open in Design Mode,
Automatic Control Focus.
Comment 1 Pedro 2018-11-21 14:38:40 UTC
Created attachment 146876 [details]
Focus on Writer wrongly changes to Home tab. Should remain on Tools tab
Comment 2 Pedro 2018-11-21 14:40:40 UTC
Created attachment 146877 [details]
Impress remains in tools tab after adding a form Control but Home tab is not grayed out.
Comment 3 Pedro 2018-11-21 14:42:06 UTC
Created attachment 146878 [details]
The Home still shows as active when Form Control is selected when it should not

In this case when selecting a form control the Home tab should appear grayed out as it correctly does on Writer.
Comment 4 Pedro 2018-11-21 14:56:46 UTC
Created attachment 146880 [details]
The Highlighted icons should have text legend for an user to quickly ID what each formating control does

The Highlighted icons should have text legend for an user to quickly ID what each formating control does.
Comment 5 Heiko Tietze 2018-11-22 07:54:38 UTC
Looks like a boogus.
Comment 6 andreas_k 2018-12-13 10:32:18 UTC
I can fix this. there is a context-Form item which can be used for the focus, but therefore I have to add additional context related layouts.
Comment 7 Commit Notification 2018-12-18 06:41:49 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/cd41b2b7d6e6d808738a7a9f776346442da13855%5E%21

tdf#121592 add context-Form toolbar to NB

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-12-18 06:41:59 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/e34f51bc082016bedec9aa2f58145ff67ac45707%5E%21

tdf#121592 add context-Form toolbar to NB

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.